Fix #101 - Git update issue & echo standard.

This commit is contained in:
g0tmi1k 2017-09-18 18:22:53 +01:00
parent 2644d23e07
commit fc086df901

View file

@ -1,6 +1,6 @@
#!/bin/bash #!/bin/bash
# Name: SearchSploit - Exploit-DB's CLI search tool # Name: SearchSploit - Exploit-DB's CLI search tool
# Version: 3.8.4 (Release date: 2017-09-04) # Version: 3.8.5 (Release date: 2017-09-18)
# Written by: Offensive Security, Unix-Ninja, and g0tmi1k # Written by: Offensive Security, Unix-Ninja, and g0tmi1k
# Homepage: https://github.com/offensive-security/exploit-database # Homepage: https://github.com/offensive-security/exploit-database
# Manual: https://www.exploit-db.com/searchsploit/ # Manual: https://www.exploit-db.com/searchsploit/
@ -136,12 +136,12 @@ function update()
## Update database (via .deb/apt) ## Update database (via .deb/apt)
function updatedeb() function updatedeb()
{ {
echo -e '[i] Updating via APT package management (Expect weekly-ish updates).\n' echo -e "[i] Updating via APT package management (Expect weekly-ish updates).\n"
sudo apt update \ sudo apt update \
|| echo -e '\n[-] Issue with apt update (Please check network connectivity & APT SourcesList values).' 1>&2 || echo -e "\n[-] Issue with apt update (Please check network connectivity & APT SourcesList values)." 1>&2
sudo apt -y install exploitdb \ sudo apt -y install exploitdb \
|| echo -e '\n[-] Issue with apt upgrade.' 1>&2 || echo -e "\n[-] Issue with apt upgrade." 1>&2
echo -e "\n[*] APT update finished." echo -e "\n[*] APT update finished."
} }
@ -149,10 +149,10 @@ function updatedeb()
## Update database (via homebrew) ## Update database (via homebrew)
function updatedbrew() function updatedbrew()
{ {
echo -e '[i] Updating via brew package management.\n' echo -e "[i] Updating via brew package management.\n"
brew update \ brew update \
|| echo -e '\n[-] Issue with brew update (Please check network connectivity).' 1>&2 || echo -e "\n[-] Issue with brew update (Please check network connectivity)." 1>&2
brew upgrade exploitdb brew upgrade exploitdb
echo -e "\n[*] Brew update finished." echo -e "\n[*] Brew update finished."
@ -161,37 +161,44 @@ function updatedbrew()
## Update database (via Git) ## Update database (via Git)
function updategit() function updategit()
{ {
echo -e '[i] Updating via Git (Expect daily updates).\n' echo -e "[i] Updating via Git (Expect daily updates): ${gitpath}\n"
## Make sure we are in the correct folder ## Make sure we are in the correct folder
mkdir -p "${gitpath}/" \ mkdir -p "${gitpath}/" 2>/dev/null \
|| sudo mkdir -p "${gitpath}/" || sudo mkdir -p "${gitpath}/"
cd "${gitpath}/" cd "${gitpath}/"
## Are we in a Git repo? ## Are we in a Git repo?
if [[ "$( git rev-parse --is-inside-work-tree )" != "true" ]]; then if [[ "$( git rev-parse --is-inside-work-tree 2>/dev/null )" != "true" ]]; then
if [[ "$( ls )" = "" ]]; then if [[ "$( ls )" = "" ]]; then
# If directory is empty, just clone # If directory is empty, just clone
echo -e '\n[i] Nothing here. Starting fresh...' echo -e "\n[-] Nothing here (${gitpath}). Starting fresh..."
git clone "${gitremote}" . git clone "${gitremote}" "${gitpath}/" 2>/dev/null \
|| sudo git clone "${gitremote}" "${gitpath}/"
fi fi
fi fi
# Is our Git remote added? (aka homebrew) # Is our Git remote added? (aka wouldn't be via homebrew method)
if [[ "$( git remote -v )" != *"${gitremote}"* ]]; then if [[ "$( git remote -v )" != *"upstream"*"${gitremote}"* ]]; then
echo -e '\n[i] Missing Git remote:' "${gitremote}" echo -e "\n[-] Missing Git remote upstream (${gitremote})"
git init >/dev/null git init 2>/dev/null \
git remote add upstream "${gitremote}" 2>/dev/null || sudo git init
git remote add upstream "${gitremote}" 2>/dev/null \
|| sudo git remote add upstream "${gitremote}"
fi fi
# Make sure to prep checkout first # Make sure to prep checkout first
git checkout -- . git checkout -- . 2>/dev/null \
|| sudo git checkout -- .
# Update from git # Update from git
git pull upstream master echo -e "\n[i] Git pull'ing"
git pull upstream master 2>/dev/null \
|| sudo git pull upstream master
# If conflicts, clean and try again # If conflicts, clean and try again
if [[ "$?" -ne 0 ]]; then if [[ "$?" -ne 0 ]]; then
echo -e "\n[-] Git conflict"
git clean -d -fx "" git clean -d -fx ""
git pull upstream master git pull upstream master
fi fi
@ -478,7 +485,7 @@ done
## If we cannot find files.csv ## If we cannot find files.csv
if [[ ! -f "${csvpath}" ]]; then if [[ ! -f "${csvpath}" ]]; then
echo '[!] Could not find: ' ${csvpath} echo "[!] Could not find: ${csvpath}"
exit 1 exit 1
fi fi
@ -490,13 +497,13 @@ if [[ "${XML}" -eq 1 ]]; then
## Is there a file? ## Is there a file?
if [[ ! -f "${FILE}" ]]; then if [[ ! -f "${FILE}" ]]; then
echo -e '\n[!] Could not find file:' ${FILE} 1>&2 echo -e "\n[!] Could not find file: ${FILE}" 1>&2
exit 1 exit 1
fi fi
if ! hash xmllint 2>/dev/null; then if ! hash xmllint 2>/dev/null; then
echo -e '\n[!] Please install xmllint' 1>&2 echo -e "\n[!] Please install xmllint" 1>&2
echo -e '[i] Kali Linux -> apt -y install libxml2-utils' 1>&2 echo -e "[i] Kali Linux -> apt -y install libxml2-utils" 1>&2
exit 1 exit 1
fi fi